Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 714376 - dev-python/matplotlib-python2: stablereq
Summary: dev-python/matplotlib-python2: stablereq
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
: 724440 (view as bug list)
Depends on: 714384
Blocks: 706464
  Show dependency tree
 
Reported: 2020-03-24 18:27 UTC by Michał Górny
Modified: 2020-08-02 06:49 UTC (History)
4 users (show)

See Also:
Package list:
=dev-python/matplotlib-python2-2.2.5-r2 amd64 arm64 ppc64 x86
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-03-24 18:27:37 UTC
Please stabilize.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-03-24 18:28:56 UTC
Hmm, let's wait with this one, we need to do it along with matplotlib-python2, I guess.
Comment 2 NATTkA bot gentoo-dev 2020-04-12 19:21:31 UTC
Unable to check for sanity:

> dependent bug #714384 is missing keywords
Comment 3 NATTkA bot gentoo-dev 2020-04-12 19:52:46 UTC
Sanity check failed:

> dev-python/matplotlib-python2-2.2.4
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (7 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
> dev-python/matplotlib-3.1.2
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (18 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (18 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
Comment 4 NATTkA bot gentoo-dev 2020-04-15 08:04:46 UTC
Sanity check failed:

> dev-python/matplotlib-python2-2.2.4
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
> dev-python/matplotlib-3.1.2
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   depend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
Comment 5 NATTkA bot gentoo-dev 2020-04-17 14:12:35 UTC
Unable to check for sanity:

> dependent bug #714384 has errors
Comment 6 NATTkA bot gentoo-dev 2020-04-17 14:28:42 UTC
Sanity check failed:

> dev-python/matplotlib-python2-2.2.4
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
> dev-python/matplotlib-3.1.2
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   depend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
Comment 7 NATTkA bot gentoo-dev 2020-04-19 15:13:24 UTC
Sanity check failed:

> dev-python/matplotlib-3.1.2
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   depend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
> dev-python/matplotlib-python2-2.2.4
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
Comment 8 NATTkA bot gentoo-dev 2020-04-20 03:16:50 UTC
Sanity check failed:

> dev-python/matplotlib-python2-2.2.4
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
> dev-python/matplotlib-3.1.2
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   depend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
Comment 9 NATTkA bot gentoo-dev 2020-04-21 15:28:51 UTC
Sanity check failed:

> dev-python/matplotlib-python2-2.2.4
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
> dev-python/matplotlib-3.1.2
>   depend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (28 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   depend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (20 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
Comment 10 NATTkA bot gentoo-dev 2020-04-28 16:36:51 UTC
Sanity check failed:

> dev-python/matplotlib-python2-2.2.4
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
> dev-python/matplotlib-3.1.2
>   depend amd64 stable profile default/linux/amd64/17.0 (39 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (39 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   depend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-)]
Comment 11 NATTkA bot gentoo-dev 2020-05-04 11:24:36 UTC
Unable to check for sanity:

> no match for package: dev-python/matplotlib-python2-2.2.4
Comment 12 Andrius Štikonas 2020-05-10 12:37:16 UTC
Ping? Current stable matplotlib fails to build (most likely python 3.7 related). See https://bugs.gentoo.org/722108
Comment 13 Toni Ballesta 2020-05-14 14:33:30 UTC
dev-python/matplotlib-3.1.2 is required by dev-python/networkx-2.4-r1 but not by stable 2.4. New versions are builded without any error. Matplotlib 2.x has never been builded well on my machine.

Please, stabilize matplotlib 3.1.2 and networkx 2.4-r1 urgently.
Comment 14 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-17 19:43:59 UTC
I've just restored 2.2.4.
Comment 15 NATTkA bot gentoo-dev 2020-05-17 19:44:40 UTC
Unable to check for sanity:

> dependent bug #714384 has errors
Comment 16 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-17 19:46:38 UTC
Hmm, or maybe 2.2.5 is ready.
Comment 17 NATTkA bot gentoo-dev 2020-05-17 19:49:08 UTC
Sanity check failed:

> dev-python/matplotlib-python2-2.2.5
>   rdepend ppc64 stable profile default/linux/powerpc/ppc64/17.0/64bit-userland (9 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
>   rdepend ppc64 dev profile default/linux/ppc64le/17.0/desktop/plasma (2 total)
>     dev-python/PyQt5[-python_single_target_python2_7(-),gui,python_targets_python2_7(-),widgets]
> dev-python/matplotlib-3.1.2
>   depend amd64 stable profile default/linux/amd64/17.0 (48 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   depend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (4 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (48 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (4 total)
>     dev-python/wxpython:*[-python_single_target_python3_6(-),-python_single_target_python3_7(-),python_targets_python3_6(-),python_targets_python3_7(-)]
Comment 18 NATTkA bot gentoo-dev 2020-05-17 20:16:43 UTC
All sanity-check issues have been resolved
Comment 19 NATTkA bot gentoo-dev 2020-05-19 16:53:00 UTC
Unable to check for sanity:

> no match for package: dev-python/matplotlib-python2-2.2.5
Comment 20 NATTkA bot gentoo-dev 2020-05-19 16:56:44 UTC
All sanity-check issues have been resolved
Comment 21 Andreas Sturmlechner gentoo-dev 2020-05-21 11:39:53 UTC
*** Bug 724440 has been marked as a duplicate of this bug. ***
Comment 22 Till Schäfer 2020-06-01 23:57:54 UTC
any progress here? This bug currently blocks stable inkscape-0.92.4-r3 and stable matplotlib to be installed alongside. (and will block any other package depending on numpy-python2).
Comment 23 Larry the Git Cow gentoo-dev 2020-06-06 19:28:42 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33aa22dd714056f82d2e14845ed68edeba5c658d

commit 33aa22dd714056f82d2e14845ed68edeba5c658d
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-06-06 18:30:03 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-06-06 19:28:30 +0000

    profiles: base: Stable-mask dev-python/matplotlib[wxwidgets]
    
    Bug: https://bugs.gentoo.org/714376
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/base/package.use.stable.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 24 Andreas Sturmlechner gentoo-dev 2020-06-06 19:29:51 UTC
dev-python/wxpython:4.0 must not block this any longer.
Comment 25 Sam James gentoo-dev Security 2020-06-07 18:32:44 UTC
Let's try 3.2.1 because of the significant test fixes.
Comment 26 NATTkA bot gentoo-dev 2020-06-07 18:36:49 UTC
Sanity check failed:

> dev-python/matplotlib-3.2.1
>   bdepend amd64 stable profile default/linux/amd64/17.0 (48 total)
>     >=dev-python/kiwisolver-1.2.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/numpy-1.18.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (4 total)
>     >=dev-python/kiwisolver-1.2.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/numpy-1.18.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (48 total)
>     >=dev-python/kiwisolver-1.2.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/numpy-1.18.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (4 total)
>     >=dev-python/kiwisolver-1.2.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/numpy-1.18.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     >=dev-python/kiwisolver-1.2.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/numpy-1.18.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=www-servers/tornado-6.0.4[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     >=dev-python/kiwisolver-1.2.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=dev-python/numpy-1.18.2[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>     >=www-servers/tornado-6.0.4[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
Comment 27 NATTkA bot gentoo-dev 2020-06-07 19:56:52 UTC
Sanity check failed:

> dev-python/kiwisolver-1.2.0
>   bdepend amd64 stable profile default/linux/amd64/17.0 (57 total)
>     >=dev-python/cppy-1.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (4 total)
>     >=dev-python/cppy-1.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 stable profile default/linux/amd64/17.0 (57 total)
>     >=dev-python/cppy-1.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   rdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (4 total)
>     >=dev-python/cppy-1.1.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
> dev-python/numpy-1.18.3
>   bdepend amd64 stable profile default/linux/amd64/17.0 (48 total)
>     >=dev-python/hypothesis-5.8.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=dev-python/hypothesis-5.8.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
> www-servers/tornado-6.0.4
>   bdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-lang/python:3.9[threads(+)]
>     dev-python/sphinx[python_single_target_python3_8(+),python_targets_python3_8(-)]
>     dev-python/sphinx[python_single_target_python3_9(+),python_targets_python3_9(-)]
>     dev-python/sphinx_rtd_theme[python_single_target_python3_8(+),python_targets_python3_8(-)]
>     dev-python/sphinx_rtd_theme[python_single_target_python3_9(+),python_targets_python3_9(-)]
>     dev-python/sphinxcontrib-asyncio[python_single_target_python3_6(+),python_targets_python3_6(-)]
>     dev-python/sphinxcontrib-asyncio[python_single_target_python3_7(+),python_targets_python3_7(-)]
>     dev-python/sphinxcontrib-asyncio[python_single_target_python3_8(+),python_targets_python3_8(-)]
>     dev-python/sphinxcontrib-asyncio[python_single_target_python3_9(+),python_targets_python3_9(-)]
Comment 28 Sam James gentoo-dev Security 2020-06-07 20:00:08 UTC
Sorry for the noise. We'll do 3.1.2 with RESTRICT=test (~1000 failures), much better in 3.2.1, but we need time for things to sit in ~ first.
Comment 29 NATTkA bot gentoo-dev 2020-06-07 20:00:58 UTC
Sanity check failed:

> dev-python/numpy-1.18.3
>   bdepend amd64 stable profile default/linux/amd64/17.0 (48 total)
>     >=dev-python/hypothesis-5.8.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
>   bdepend amd64 dev profile default/linux/amd64/17.0/no-multilib/prefix/kernel-3.2+ (2 total)
>     >=dev-python/hypothesis-5.8.0[-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-),python_targets_python3_6(-),python_targets_python3_7(-)]
> www-servers/tornado-6.0.4
>   bdepend arm64 stable profile default/linux/arm64/17.0 (9 total)
>     dev-lang/python:3.9[threads(+)]
>     dev-python/sphinx[python_single_target_python3_8(+),python_targets_python3_8(-)]
>     dev-python/sphinx[python_single_target_python3_9(+),python_targets_python3_9(-)]
>     dev-python/sphinx_rtd_theme[python_single_target_python3_8(+),python_targets_python3_8(-)]
>     dev-python/sphinx_rtd_theme[python_single_target_python3_9(+),python_targets_python3_9(-)]
>     dev-python/sphinxcontrib-asyncio[python_single_target_python3_6(+),python_targets_python3_6(-)]
>     dev-python/sphinxcontrib-asyncio[python_single_target_python3_7(+),python_targets_python3_7(-)]
>     dev-python/sphinxcontrib-asyncio[python_single_target_python3_8(+),python_targets_python3_8(-)]
>     dev-python/sphinxcontrib-asyncio[python_single_target_python3_9(+),python_targets_python3_9(-)]
Comment 30 Sam James gentoo-dev Security 2020-06-07 21:08:25 UTC
arm64 stable
Comment 31 Erik Quaeghebeur 2020-06-11 20:12:03 UTC
Is there anything still holding back stabilization on amd64?
Comment 32 Michael 'veremitz' Everitt 2020-06-12 03:16:23 UTC
This is now blocking releng selinux stages: https://archives.gentoo.org/gentoo-releng-autobuilds/message/3238cb627773940431fb0ec5b9238ec0 .
Comment 33 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-06-29 16:07:30 UTC
amd64 stable
Comment 34 Sam James gentoo-dev Security 2020-07-31 00:30:09 UTC
x86 stable
Comment 35 NATTkA bot gentoo-dev 2020-07-31 06:25:05 UTC
Unable to check for sanity:

> no match for package: =dev-python/matplotlib-3.1.2
Comment 36 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-07-31 06:32:35 UTC
Obsoleted by #733840.
Comment 37 Andreas Sturmlechner gentoo-dev 2020-08-01 23:16:50 UTC
What about ppc64 for dev-python/matplotlib-python2? Still blocking cleanup.
Comment 38 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-08-02 06:23:09 UTC
Yeah, sorry about that.  I thought mpl-py2 is lastrited but it was scipy-py2 ;-).